<div class="uap-wrapper uap-affiliate-userprofile">
    <div class="uap-stuffbox">
        <div class="uap-h3"><?php _e( 'Affiliate Profile', 'uap' );?></div>
        <div class="inside">
            <?php if ( empty($data) ):?>
                <h4><?php _e( 'No details for this Affiliate user.', 'uap' );?></h4>
            <?php else:?>
				<div class="row">
                	<div class="col-xs-12">
                    	<div class="uap-userprofile-mainname-wrapper">
                        	<div class="uap-userprofile-mainname">
                        	 <?php if ( !empty( $data['user_meta']['first_name']) && !empty( $data['user_meta']['last_name'] ) ):?>
                   				 <?php echo $data['user_meta']['first_name'].' '.$data['user_meta']['last_name'].' ('.$data['user_meta']['nickname'].')';?>
               				 <?php endif;?>
                       		</div>
                        </div>
                    </div>
                </div>
                <div class="row">
                	<div class="col-xs-8">
                    	<div class="uap-userprofile-profiledetails">
                        	<table class="form-table">
                            	<tbody>
                                	<tr class="form-field">
                                    	<th><?php _e( 'Username', 'uap' );?>:</th>
                                        <td> <?php echo $data['user_name'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Email', 'uap' );?>:</th>
                                        <td> <?php echo $data['user_email'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'First Name', 'uap' );?>:</th>
                                        <td> <?php echo $data['user_meta']['first_name'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Last Name', 'uap' );?>:</th>
                                        <td> <?php echo $data['user_meta']['last_name'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'WP Role', 'uap' );?>:</th>
                                        <td> <?php echo $data['role'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Member Since', 'uap' );?>:</th>
                                        <td> <?php echo $data['member_since'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Nickname', 'uap' );?>:</th>
                                        <td> <?php echo $data['user_meta']['nickname'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Biographical Info', 'uap' );?>:</th>
                                        <td> <?php echo $data['description'];?></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="col-xs-4">
                    	<div class="uap-userprofile-avatar">
                    	<?php if ( !empty( $data['avatar'] ) ):?>
                    		<img src="<?php echo $data['avatar'];?>" class="uap-avatar" />
                		<?php endif;?>
                        </div>
                        <div class="uap-userprofile-rank">
                        	<?php if ( !empty( $data['rank'] ) ):?>
                   				<?php echo $data['rank'];?>
                			<?php endif;?>
                        </div>
                         <div class="uap-userprofile-stats">
                         		<table class="form-table">
                            	<tbody>
                                	<tr class="form-field">
                                    	<th><?php _e( 'Referrals', 'uap' );?>:</th>
                                        <td> <?php echo $data['stats']['referrals'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Paid Earnings', 'uap' );?>:</th>
                                        <td> <?php echo $data['stats']['total_paid'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Unpaid Earnings', 'uap' );?>:</th>
                                        <td> <?php echo $data['stats']['total_unpaid'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Visits', 'uap' );?>:</th>
                                        <td> <?php echo $data['stats']['visits'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Conversion', 'uap' );?>:</th>
                                        <td> <?php echo $data['stats']['conversions'];?></td>
                                    </tr>
                                    <tr class="form-field">
                                    	<th><?php _e( 'Success Rate', 'uap' );?>:</th>
                                        <td> <?php echo $data['stats']['success_rate'];?>%</td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                    </div>
                </div>

                

               
                
                

                <?php if ( !empty( $data['user_meta'] ) ):?>
                    <div> <b>All User meta:</b> <?php echo "<pre>"; print_r($data['user_meta']);?></div>
                <?php endif;?>

                <?php if ( !empty( $data['coupons'] ) ):?>
                    <div> <b>Coupons:</b> <?php print_r($data['coupons']);?></div>
                <?php endif;?>

                <?php if ( !empty( $data['last_ten_referrals'] ) ):?>
                    <div> <b>Last ten referrals:</b> <?php print_r($data['last_ten_referrals']);?></div>
                <?php endif;?>

                <?php if ( !empty( $data['cpm'] ) ):?>
                    <div> <b>CPM count:</b> <?php print_r($data['cpm']);?></div>
                <?php endif;?>
				
            <?php endif;?>
        </div>
    </div>

    <?php if ( $data['mlm'] ):?>
        <?php echo $data['mlm'];?>
    <?php endif;?>
</div>
